<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>PHP programming Online Quiz</title>
	<style>
		body
		{
			margin: 0;
			padding: 0;
			background-image: linear-gradient(#fff,#c3f5ff);
		}
		h1
		{
			font-family: verdana;
			font-weight: bold;
			color: #0D27E8;
		}
		.main
		{
			margin-left: 28%;
		}
		h3
		{
			font-size: px;
		}

	</style>

</head>
<body>
	<div class="header">
		<center><h1>C programming Online Quiz</h1></center><br>
	</div>
	<div class="main">
		<form name="myform">
			<h3>Q1- HPHP is an example of ___________ scripting language.</h3><br>
			<input type="radio" name="name1" id="q1" value="a">A- Server-side<br>
			<input type="radio" name="name1" id="q1" value="b">B- client-side<br>
			<input type="radio" name="name1" id="q1" value="c">C- Browser-side<br>
			<input type="radio" name="name1" id="q1" value="d">D- In-side<br>
			

			<h3>Q2 -PHP is an example of ___________ scripting language.</h3><br>
			<input type="radio" name="name2" id="q2" value="a">A- Rasmus Lerdorf<br>
			<input type="radio" name="name2" id="q2" value="b">B- William Makepiece<br>
			<input type="radio" name="name2" id="q2" value="c">C- Drek Kolkevi<br>
			<input type="radio" name="name2" id="q2" value="d">D- List Barely<br>


			<h3>Q3 -Which of the following variables is not a predefined variable?</h3><br>
			<input type="radio" name="name3" id="q3" value="a">A- $get<br>
			<input type="radio" name="name3" id="q3" value="b">B- $ask<br>
			<input type="radio" name="name3" id="q3" value="c">C- $request<br>
			<input type="radio" name="name3" id="q3" value="d">D- $post<br>

			<h3>Q4 -	
When you need to obtain the ASCII value of a character which of the following function you apply in PHP? </h3><br>
			<input type="radio" name="name4" id="q4" value="a">A- chr()<br>
			<input type="radio" name="name4" id="q4" value="b">B- asc()<br>
			<input type="radio" name="name4" id="q4" value="c">C- ord()<br>
			<input type="radio" name="name4" id="q4" value="d">D- val()<br>
			

			<h3>Q5 - Which of the following method sends input to a script via a URL?
 </h3><br>
			<input type="radio" name="name5" id="q5" value="a">A- Get<br>
			<input type="radio" name="name5" id="q5" value="b">B- Post<br>
			<input type="radio" name="name5" id="q5" value="c">C- Both<br>
			<input type="radio" name="name5" id="q5" value="d">D- None<br>

			<h3>Q6 -Which of the following function returns a text in title case from a variable? </h3><br>
			<input type="radio" name="name6" id="q6" value="a">A- ucwords($var)<br>
			<input type="radio" name="name6" id="q6" value="b">B- upper($var)<br>
			<input type="radio" name="name6" id="q6" value="c">C- toupper($var)<br>
			<input type="radio" name="name6" id="q6" value="d">D- ucword($var)<br>

			<h3>Q7 -  TWhich of the following function returns the number of characters in a string variable? </h3><br>
			<input type="radio" name="name7" id="q7" value="a">A- count($variable)<br>
			<input type="radio" name="name7" id="q7" value="b">B- len($variable)<br>
			<input type="radio" name="name7" id="q7" value="c">C- strcount($variable)<br>
			<input type="radio" name="name7" id="q7" value="d">D- strlen($variable)<br>

			<h3>Q8 - _______________ is cocatenation operator in PHP ? </h3><br>
			<input type="radio" name="name8" id="q8" value="a">A- .<br>
			<input type="radio" name="name8" id="q8" value="b">B- +<br>
			<input type="radio" name="name8" id="q8" value="c">C- ^<br>
			<input type="radio" name="name8" id="q8" value="d">D- -<br>

			<h3>Q9 -Which of following is used to add multiple line comments in PHP ?</h3><br>
			<input type="radio" name="name9" id="q9" value="a">A- //<br>
			<input type="radio" name="name9" id="q9" value="b">B- /**/<br>
			<input type="radio" name="name9" id="q9" value="c">C- {{}}<br>
			<input type="radio" name="name9" id="q9" value="d">D- {/\}<br>
			

			<h3>Q10 - Which function is used to get ASCII value of a character in PHP ?</h3><br>
			<input type="radio" name="name10" id="q10" value="a">A- asc()<br>
			<input type="radio" name="name10" id="q10" value="b">B- chr()<br>
			<input type="radio" name="name10" id="q10" value="c">C- ascii()<br>
			<input type="radio" name="name10" id="q10" value="d">D- val()<br><br><br>
			<input type="submit" class="btn btn-primary" name="submit" name="submit" onclick="myfun()" style="margin-left: 25%;width: 150px;height: 40px;background-color: #14C614;">
		</form>
		<a href="../index.html">HOME</a><br><br>
	</div>


	<script>
		function myfun()
		{
			var data1=document.myform.q1.value;
			var data2=document.myform.q2.value;
			var data3=document.myform.q3.value;
			var data4=document.myform.q4.value;
			var data5=document.myform.q5.value;
			var data6=document.myform.q6.value;
			var data7=document.myform.q7.value;
			var data8=document.myform.q8.value;
			var data9=document.myform.q9.value;
			var data10=document.myform.q10.value;

			var count=0;
			if(data1=="a")
			{
				count++;
			}
			if(data2=="a")
			{
				count++;
			}
			if(data3=="b")
			{
				count++;
			}
			if(data4=="c")
			{
				count++;
			}
			if(data5=="a")
			{
				count++;
			}
			if(data6=="a")
			{
				count++;
			}
			if(data7=="d")
			{
				count++;
			}
			if(data8=="a")
			{
				count++;
			}
			if(data9=="b")
			{
				count++;
			}
			if(data10=="b")
			{
				count++;
			}
			alert("you gave "+ count +"correct answers.");

		}
	</script>
	
	


</body>
</html>